<!DOCTYPE html>
<html><head>
<title>eric7.Plugins.VcsPlugins.vcsMercurial.PurgeExtension.HgPurgeListDialog</title>
<meta charset="UTF-8">
<link rel="stylesheet" href="styles.css">
</head>
<body>
<a NAME="top" ID="top"></a>
<h1>eric7.Plugins.VcsPlugins.vcsMercurial.PurgeExtension.HgPurgeListDialog</h1>
<p>
Module implementing a dialog to list all files not tracked by Mercurial.
</p>

<h3>Global Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Classes</h3>
<table>
<tr>
<td><a href="#HgPurgeListDialog">HgPurgeListDialog</a></td>
<td>Class implementing a dialog to list all files not tracked by Mercurial.</td>
</tr>
</table>

<h3>Functions</h3>
<table>
<tr><td>None</td></tr>
</table>

<hr />
<hr />
<a NAME="HgPurgeListDialog" ID="HgPurgeListDialog"></a>
<h2>HgPurgeListDialog</h2>
<p>
    Class implementing a dialog to list all files not tracked by Mercurial.
</p>

<h3>Derived from</h3>
QDialog, Ui_HgPurgeListDialog
<h3>Class Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Class Methods</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Methods</h3>
<table>
<tr>
<td><a href="#HgPurgeListDialog.__init__">HgPurgeListDialog</a></td>
<td>Constructor</td>
</tr>
</table>

<h3>Static Methods</h3>
<table>
<tr><td>None</td></tr>
</table>


<a NAME="HgPurgeListDialog.__init__" ID="HgPurgeListDialog.__init__"></a>
<h4>HgPurgeListDialog (Constructor)</h4>
<b>HgPurgeListDialog</b>(<i>entries, parent=None</i>)
<p>
        Constructor
</p>

<dl>

<dt><i>entries</i> (list of str)</dt>
<dd>
list of entries to be shown
</dd>
<dt><i>parent</i> (QWidget)</dt>
<dd>
reference to the parent widget
</dd>
</dl>
<div align="right"><a href="#top">Up</a></div>
<hr />
</body></html>
